Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultAmppComponentType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultAmppComponentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultAmppComponentType extends Object implements Serializable

Java class for ConsultAmppComponentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmppComponentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AmpcSequenceNr" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="ContentType" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ContentMultiplier" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="PackSpecification" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="DeviceType" type="{urn:be:fgov:ehealth:dics:protocol:v5}DeviceTypeType" minOccurs="0"/>
             <element name="PackagingClosure" type="{urn:be:fgov:ehealth:dics:protocol:v5}PackagingClosureType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PackagingMaterial" type="{urn:be:fgov:ehealth:dics:protocol:v5}PackagingMaterialType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PackagingType" type="{urn:be:fgov:ehealth:dics:protocol:v5}PackagingTypeType"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AmppComponentEquivalent" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAmppComponentEquivalentType" maxOccurs="unbounded"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="SequenceNr" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultAmppComponentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `Integer`
  `getAmpcSequenceNr()`
  An AMPP Component is the packaging of exactly one AMP Component when the type of this packaging is not a device.
  `List<ConsultAmppComponentEquivalentType>`
  `getAmppComponentEquivalents()`
  Gets the value of the amppComponentEquivalents property.
  `Integer`
  `getContentMultiplier()`
  Multiplier of the concerned component.
  `String`
  `getContentType()`
  Code value for the type of the component: - ACTIVE_ COMPONENT: part of the packaging information on the active substance(s) described as AMP component(s); - SOLVENT: part of the packaging information describing what solvent is contained in the AMPP; - DEVICE: medical device added to the packaging.
  `DeviceTypeType`
  `getDeviceType()`
  Gets the value of the deviceType property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `List<PackagingClosureType>`
  `getPackagingClosures()`
  Gets the value of the packagingClosures property.
  `List<PackagingMaterialType>`
  `getPackagingMaterials()`
  Gets the value of the packagingMaterials property.
  `PackagingTypeType`
  `getPackagingType()`
  Gets the value of the packagingType property.
  `String`
  `getPackSpecification()`
  Specification of the concerned component.
  `int`
  `getSequenceNr()`
  Number determined by the provider for distinguishing an AMPPC from another.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setAmpcSequenceNr(Integer value)`
  Sets the value of the ampcSequenceNr property.
  `void`
  `setContentMultiplier(Integer value)`
  Sets the value of the contentMultiplier property.
  `void`
  `setContentType(String value)`
  Sets the value of the contentType property.
  `void`
  `setDeviceType(DeviceTypeType value)`
  Sets the value of the deviceType property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setPackagingType(PackagingTypeType value)`
  Sets the value of the packagingType property.
  `void`
  `setPackSpecification(String value)`
  Sets the value of the packSpecification property.
  `void`
  `setSequenceNr(int value)`
  Sets the value of the sequenceNr property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultAmppComponentType

    public ConsultAmppComponentType()

- ## Method Details

  - ### getAmpcSequenceNr

    public Integer getAmpcSequenceNr()
    An AMPP Component is the packaging of exactly one AMP Component when the type of this packaging is not a device. When the AMPP Component is of type ‘device’, it has no AMP Component.
    Returns:
      possible object is `Integer`

  - ### setAmpcSequenceNr

    public void setAmpcSequenceNr(Integer value)
    Sets the value of the ampcSequenceNr property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getAmpcSequenceNr()`

  - ### getContentType

    public String getContentType()
    Code value for the type of the component: - ACTIVE_ COMPONENT: part of the packaging information on the active substance(s) described as AMP component(s); - SOLVENT: part of the packaging information describing what solvent is contained in the AMPP; - DEVICE: medical device added to the packaging. - EXCIPIENT: packaging of other non-active components of the product
    Returns:
      possible object is `String`

  - ### setContentType

    public void setContentType(String value)
    Sets the value of the contentType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getContentType()`

  - ### getContentMultiplier

    public Integer getContentMultiplier()
    Multiplier of the concerned component. Example: ‘3’ in ‘3 x 500 mg’.
    Returns:
      possible object is `Integer`

  - ### setContentMultiplier

    public void setContentMultiplier(Integer value)
    Sets the value of the contentMultiplier property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getContentMultiplier()`

  - ### getPackSpecification

    public String getPackSpecification()
    Specification of the concerned component. Example: ‘FreeFlex’, ‘EasyFlex N’
    Returns:
      possible object is `String`

  - ### setPackSpecification

    public void setPackSpecification(String value)
    Sets the value of the packSpecification property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPackSpecification()`

  - ### getDeviceType

    public DeviceTypeType getDeviceType()
    Gets the value of the deviceType property.
    Returns:
      possible object is `DeviceTypeType`

  - ### setDeviceType

    public void setDeviceType(DeviceTypeType value)
    Sets the value of the deviceType property.
    Parameters:
      `value` - allowed object is `DeviceTypeType`

  - ### getPackagingClosures

    public List<PackagingClosureType> getPackagingClosures()
    Gets the value of the packagingClosures property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingClosures property.

    For example, to add a new item, do as follows:

         getPackagingClosures().add(newItem);

    Objects of the following type(s) are allowed in the list `PackagingClosureType`

    Returns:
      The value of the packagingClosures property.

  - ### getPackagingMaterials

    public List<PackagingMaterialType> getPackagingMaterials()
    Gets the value of the packagingMaterials property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingMaterials property.

    For example, to add a new item, do as follows:

         getPackagingMaterials().add(newItem);

    Objects of the following type(s) are allowed in the list `PackagingMaterialType`

    Returns:
      The value of the packagingMaterials property.

  - ### getPackagingType

    public PackagingTypeType getPackagingType()
    Gets the value of the packagingType property.
    Returns:
      possible object is `PackagingTypeType`

  - ### setPackagingType

    public void setPackagingType(PackagingTypeType value)
    Sets the value of the packagingType property.
    Parameters:
      `value` - allowed object is `PackagingTypeType`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getAmppComponentEquivalents

    public List<ConsultAmppComponentEquivalentType> getAmppComponentEquivalents()
    Gets the value of the amppComponentEquivalents property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amppComponentEquivalents property.

    For example, to add a new item, do as follows:

         getAmppComponentEquivalents().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultAmppComponentEquivalentType`

    Returns:
      The value of the amppComponentEquivalents property.

  - ### getSequenceNr

    public int getSequenceNr()
    Number determined by the provider for distinguishing an AMPPC from another. In case of many AMPPCs under an AMPP, the order has no significance.

  - ### setSequenceNr

    public void setSequenceNr(int value)
    Sets the value of the sequenceNr property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`